Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::CanDriverErrorExt Struct Referencefinal

CAN_DRIVER_ERROR_EXT. More...

`#include <CanDriverErrorExt.h>`

Inheritance diagram for Vector::BLF::CanDriverErrorExt:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | txErrors {}
| # of TX errors
uint8_t | rxErrors {}
| # of RX errors
uint32_t | errorCode {}
| CAN driver error code.
uint32_t | flags {}
| flags
uint8_t | state {}
| state register
uint8_t | reservedCanDriverErrorExt1 {}
uint16_t | reservedCanDriverErrorExt2 {}
std::array< uint32_t, 4 > | reservedCanDriverErrorExt3 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_DRIVER_ERROR_EXT.

Extended CAN driver error information for transceiver of a CAN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanDriverErrorExt::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::CanDriverErrorExt::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::CanDriverErrorExt::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::CanDriverErrorExt::channel {}

application channel

CAN channel the driver error information belongs to.

## ◆ errorCode

uint32_t Vector::BLF::CanDriverErrorExt::errorCode {}

CAN driver error code.

Error code

## ◆ flags

uint32_t Vector::BLF::CanDriverErrorExt::flags {}

flags

To be defined.

## ◆ reservedCanDriverErrorExt1

uint8_t Vector::BLF::CanDriverErrorExt::reservedCanDriverErrorExt1 {}

reserved

## ◆ reservedCanDriverErrorExt2

uint16_t Vector::BLF::CanDriverErrorExt::reservedCanDriverErrorExt2 {}

reserved

## ◆ reservedCanDriverErrorExt3

std::array<uint32_t, 4> Vector::BLF::CanDriverErrorExt::reservedCanDriverErrorExt3 {}

reserved

## ◆ rxErrors

uint8_t Vector::BLF::CanDriverErrorExt::rxErrors {}

# of RX errors

Number of receive errors that occurred in CAN controller for that channel.

## ◆ state

uint8_t Vector::BLF::CanDriverErrorExt::state {}

state register

To be defined.

## ◆ txErrors

uint8_t Vector::BLF::CanDriverErrorExt::txErrors {}

# of TX errors

Number of transmit errors that occurred in CAN controller for that channel.

The documentation for this struct was generated from the following files:

- CanDriverErrorExt.h
- CanDriverErrorExt.cpp